/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.3.6,
* Autoprefixer: v10.3.1
* Browsers: last 4 version
*/

/* global-variables.css */
/* index-styles.css */

/* since this css sheet is later any changes here have precedence 
333 */

/* main container: */
.navGrid {
  display: -ms-grid;
  display: grid;
  grid-gap: 1.5vh;
  justify-items: center;
  padding-top: 1vw;
}

/* this alone defines that four columns are made/needed! */
.blurb {
  -ms-grid-row: 2;
  -ms-grid-row-span: 1;
  -ms-grid-column: 1;
  -ms-grid-column-span: 4;
  grid-area: 2 / 1 /3 / 5;
  padding-left: 0.8vw;
  text-align: justify;
  font-size: calc(0.9rem + 0.6vw);
}

.navGrid > div > a > img {
  max-width: 20vw;
}

/* allows more grid columns = images for malplaquet-index */

/* wäre schön aber letze Reihe nicht voll
@media (min-width: 1225px) {
  .blurb {
    grid-area: 2 / 1 /5 / 6;
  }
} */

@media (min-width: 1450px) {
  .blurb {
    -ms-grid-row: 2;
    -ms-grid-row-span: 3;
    -ms-grid-column: 1;
    -ms-grid-column-span: 6;
    grid-area: 2 / 1 /5 / 7;
  }
}

/* INDEX WITH DIFFERENT FORMAT IMGS FOR SOANE */
.nav-grid-soane {
  display: -ms-grid;
  display: grid;
  grid-gap: 1.5vh;
  justify-items: center;
  padding-top: 1vw;
}

.nav-grid-soane > div > a > img {
  max-height: 15vw;
}

.blurb-soane {
  -ms-grid-row: 2;
  -ms-grid-row-span: 4;
  -ms-grid-column: 1;
  -ms-grid-column-span: 6;
  grid-area: 2 / 1 /6 / 7;
  padding-left: 0.8vw;
  text-align: justify;
  font-size: calc(1rem + 0.8vw);
  line-height: 1.5;
  margin-right: 2vw;
}

.pic-bu-soane {
  float: right;
  max-width: 30vw;
  padding: 1vh 2vw 1vh 2vw;
  text-align: left;
  font-size: calc(0.5rem + 0.4vw);
  margin: 0;
}

@media (max-width: 1250px) {
  .blurb-soane {
    -ms-grid-row: 2;
    -ms-grid-row-span: 1;
    -ms-grid-column: 1;
    -ms-grid-column-span: 4;
    grid-area: 2 / 1 /3 / 5;
  }
  .nav-grid-soane > div > a > img {
    max-height: 21vw;
  }
}

.pic-bu-inset-landscape-right {
  float: right;
  max-width: 45vw;
  padding: 1vh 0vw 1vh 2vw;
  text-align: left;
  font-size: calc(0.5rem + 0.4vw);
  margin: 0;
}

.img-pic-bu-inset-landscape-right {
  max-width: 45vw;
  padding-right: 1vw;
}

/* INDEX WITH PORTRAIT FORMAT DIPTYCHS FOR BM and Parallax*/
.blurb-portrait-diptychs {
  -ms-grid-row: 2;
  -ms-grid-column: 1;
  -ms-grid-column-span: 4;
  grid-area: 2 / 1 /2 / 5;
  padding-left: 1vw;
  text-align: justify;
  font-size: calc(1rem + 0.8vw);
  line-height: 1.5;
  margin-right: 2vw;
}

.nav-grid-portrait-diptychs {
  display: -ms-grid;
  display: grid;
  grid-gap: 2vw;
  justify-items: center;
  /* padding-top: 3vw; */
}

.nav-grid-portrait-diptychs > div > a > img {
  max-width: 21vw;
}

/* for mc-collection, using .nav-grid-portrait-diptychs above */
.blurb-portrait-sgl-img {
  -ms-grid-row: 2;
  -ms-grid-column: 1;
  -ms-grid-column-span: 4;
  grid-area: 2 / 1 /2 / 5;
  padding-left: 1vw;
  text-align: justify;
  font-size: calc(1rem + 0.8vw);
  line-height: 1.5;
  margin-right: 2vw;
}

@media (min-width: 1200px) {
  .blurb-portrait-sgl-img {
    -ms-grid-row: 2;
    -ms-grid-column: 1;
    -ms-grid-column-span: 4;
    grid-area: 2 / 1 / 6 / 7;
    padding-left: 3vw;
    text-align: justify;
    font-size: calc(1rem + 0.8vw);
    line-height: 1.5;
    margin-right: 2vw;
  }
  .nav-grid-portrait-imgs > div > a > img {
    max-width: 14vw;
  }
}

.pic-bu-left-xl {
  float: left;
  max-width: 38vw;
  padding: 1vh 2vw 1vh 1vw;
  text-align: left;
  font-size: calc(0.5rem + 0.4vw);
  /* does figure have a default margin? */
  margin: 0;
}

.in-article-left-xl {
  max-width: 35vw;
}

/* the image in the inset*/
.inArticle {
  max-width: 30vw;
  padding-right: 3vw;
}

@media (max-width: 767px) {
  .pic-bu-soane {
    max-width: 45vw;
  }
  .inArticle {
    max-width: 45vw;
  }
}

/* in blurb beginning: */
.intro-header {
  font-size: calc(1.2rem + 0.9vw);
  font-weight: 600;
}

/* MALPLAQUET */
.inset-malplaquet {
  float: right;
  max-width: 45vw;
  padding: 3vh 1vw 0 2vw;
  text-align: left;
  font-size: calc(0.4rem + 0.4vw);
  margin: 0;
}

.img-inset-malplaquet {
  max-width: 45vw;
  padding-right: 3vw;
}

@media (max-width: 768px) {
  .inset-malplaquet {
    max-width: 55vw;
    padding-left: 3vw;
  }
  .img-inset-malplaquet {
    max-width: 55vw;
  }
}

/* customised for malplaquet -
which could be integrated into other CCSs*/
.line-height-med {
  line-height: 1.5;
}

.txt-med {
  font-size: calc(0.9rem + 0.8vw);
}

/* landscape installation img in blurb */
.pic-bu-landscape-left {
  float: left;
  max-width: 40vw;
  padding: 1vh 2vw 0 0.2vw;
  text-align: left;
  font-size: calc(0.4rem + 0.4vw);
  margin: 0;
}

.img-pic-bu-landscape-left {
  max-width: 40vw;
  padding-right: 1vw;
}

@media (max-width: 769px) {
  .pic-bu-landscape-left {
    max-width: 93vw;
  }
  .img-pic-bu-landscape-left {
    max-width: 93vw;
    /* padding-right: 2vw; */
  }
}

.pic-bu-landscape-right {
  float: right;
  max-width: 30vw;
  padding: 1vh 0.2vw 0 0.2vw;
  text-align: left;
  font-size: calc(0.4rem + 0.4vw);
  margin: 0;
}

.img-pic-bu-landscape-right {
  max-width: 30vw;
  padding-left: 1vw;
}

@media (max-width: 769px) {
  .pic-bu-landscape-right {
    max-width: 50vw;
  }
  .img-pic-bu-landscape-right {
    max-width: 50vw;
    padding-left: 4vw;
  }
}
